-
- abort-payment-on-terminal
- capture-payment
- filter-payments
- find-payment
- initiate-payment-flow
- list-activity-logs
- list-payment-activities
- list-payments
- list-payments-by-contact
- list-payments-by-terminal
- refund-payment
- request-payment
- resume-payment-on-terminal
- retrieve-refund-performance
- retrieve-sales-performance
- reverse-payment
- start-payment-on-terminal
- void-payment
Supported payment methods
Get a list of all payment methods that are currently enabled for your merchant account.
The endpoint returns an array of payment methods that you can use with other API endpoints. Each payment method
lists the platforms it is available on, so you only offer the payment methods that fit the platform the payment happens on.
| Attribute | Description |
|---|---|
namestring
|
Always present. The name of the payment method. |
display_namestring
|
Always present. The display name of the payment method. |
flowstring
|
Always present. The flow of the payment method. |
categorystring
|
Always present. The category of the payment method. |
platformsarray<string>
|
Always present. The platforms on which the payment method is available. Possible values:
|
UNHANDLED_ERROR
This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.
INVALID_ARGUMENTS
This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.
BAD_VERSION
This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.
curl "https://api.reservepay.com/merchants/supported-payment-methods" \
-X POST
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
-d '{}'
